Closed Bug 955522 Opened 6 years ago Closed 6 years ago

No handler for Yahoo! packet 83.

Categories

(Chat Core :: Yahoo! Messenger, defect)

defect
Not set

Tracking

(Not tracked)

RESOLVED FIXED

People

(Reporter: aleth, Assigned: qheaden)

References

Details

Attachments

(1 file, 1 obsolete file)

*** Original post on bio 2085 at 2013-08-02 10:02:00 UTC ***

Timestamp: 08/02/2013 12:00:07 PM
Warning: No handler for Yahoo! packet 83.
Source File: resource:///modules/yahoo-session.jsm
Line: 349

STR
Add a buddy.
*** Original post on bio 2085 at 2013-08-02 10:03:40 UTC ***

Also happens when receiving a buddy auth request.
*** Original post on bio 2085 at 2013-08-02 18:39:25 UTC ***

Packet service 0x83 is the add buddy packet. I'm pretty sure this error is happening because of the server sending back an add buddy acknowledgement packet, which we have no handler for. I'll work on a fix.
Status: NEW → ASSIGNED
*** Original post on bio 2085 at 2013-08-02 18:40:09 UTC ***

Assigning to myself.
Assignee: nobody → qheaden
*** Original post on bio 2085 at 2013-09-03 12:45:51 UTC ***

Possibly related: bug 953504 (bio 53)
*** Original post on bio 2085 at 2013-09-15 13:44:02 UTC ***

Still seeing this.
Blocks: 955574
Attached patch Patch 1 (obsolete) — Splinter Review
*** Original post on bio 2085 as attmnt 2958 at 2013-10-16 02:55:00 UTC ***

This patch fixes the issue for both packet 0x83 and 0x84. Bug 955511 (bio 2074) speaks about packet 0x84, but since the fix is so simple, I just included both fixes in one patch.
Attachment #8354739 - Flags: review?(clokep)
Comment on attachment 8354739 [details] [diff] [review]
Patch 1

*** Original change on bio 2085 attmnt 2958 at 2013-10-16 13:04:11 UTC ***

From IRC:
03:10:20 * qheaden wonders if we should add/remove users only after we get the ack packet.
03:10:29 <clokep> That'swhat I'm wondering. :)
03:10:39 <qheaden> Well, adding users doesn't matter. We still have to wait for the invite accepted packet.
03:10:43 <qheaden> Removing users on the other hand...

I think this is a good idea, let's do this.
Attachment #8354739 - Flags: review?(clokep) → review-
Attached patch Patch 2Splinter Review
*** Original post on bio 2085 as attmnt 3001 at 2013-11-02 02:42:00 UTC ***

I finally got the time to crank out a new patch. :) This patch delays local buddy removal until we get an acknowledgement from the server that the RemoveBuddy packet was received.
Attachment #8354782 - Flags: review?(clokep)
Comment on attachment 8354739 [details] [diff] [review]
Patch 1

*** Original change on bio 2085 attmnt 2958 at 2013-11-02 02:42:13 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8354739 - Attachment is obsolete: true
Comment on attachment 8354782 [details] [diff] [review]
Patch 2

*** Original change on bio 2085 attmnt 3001 at 2013-11-02 14:48:10 UTC ***

Thanks for looking into this!
Attachment #8354782 - Flags: review?(clokep) → review+
*** Original post on bio 2085 at 2013-11-02 17:04:32 UTC ***

http://hg.instantbird.org/instantbird/rev/da52d573759a
Status: ASSIGNED → RESOLVED
Closed: 6 years ago
Resolution: --- → FIXED
Target Milestone: --- → 1.5
You need to log in before you can comment on or make changes to this bug.